/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     |
    \\  /    A nd           | Copyright (C) 2011-2013 OpenFOAM Foundation
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of OpenFOAM.

    OpenFOAM is free software: you can redistribute it and/or modify it under
    the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    OpenFOAM is distributed in the hope that it will be useful, but WITHOUT ANY
    WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
    FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
    details.

    You should have received a copy of the GNU General Public License along with
    OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

\mainpage OpenFOAM&reg;: open source CFD

\section about About OpenFOAM

    OpenFOAM is a free, open source CFD software package released free and
    open-source under the GNU General Public License by the,
    <a href="http://www.openfoam.org">OpenFOAM Foundation</a>.  It has a large
    user base across most areas of engineering and science, from both commercial
    and academic organisations.  OpenFOAM has an extensive range of features to
    solve anything from complex fluid flows involving chemical reactions,
    turbulence and heat transfer, to solid dynamics and electromagnetics.
    <a href="http://www.openfoam.org/features">More ...</a>


\section layout Code Layout

    The OpenFOAM source code comprises of four main components:
    - src:
        the core OpenFOAM source code

    - applications:
        collections of library functionality wrapped up into applications,
        such as solvers and utilities
        
    - tutorials:
        a suite of test cases that highlight a broad cross-section of
        OpenFOAM's capabilities

    - doc:
        supporting documentation


\section usingTheCode Using the code

    - \subpage pagePostProcessing
    - \subpage pageBoundaryConditions


\*---------------------------------------------------------------------------*/
